## net.sf.saxon.javax.xml.xquery
Class XQWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.javax.xml.xquery.XQException
                  net.sf.saxon.javax.xml.xquery.XQWarning

All Implemented Interfaces:
  Serializable

    public class XQWarning

extends XQException

XQJ interfaces reconstructed from version 0.5 documentation

See Also:
  Serialized Form

Constructor Summary
`XQWarning(String message)`
`XQWarning(String message, Throwable cause, String vendorcode, XQWarning nextWarning)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQWarning

    public XQWarning(String message)

### XQWarning

    public XQWarning(String message,
                     Throwable cause,
                     String vendorcode,
                     XQWarning nextWarning)

Copyright (C) Michael H. Kay. All rights reserved.